
#v=sort(c(15,0.30,.001),decreasing = TRUE)*.1000

#myrotsim.laplace(v)-myrotsim.sadd.app(v)

#myhg0f1rotsim.ex.loglik(v)-myrotsim.sadd.app(v)
setwd("~/PC/research/programms/EM/hyper_geom/")
load("~/kent/research/programms/EM/hyper_geom/HumanMovement.RData") 
load("~/PC/research/programms/EM/hyper_geom/HumanMovement.RData") 

defh=function (nrow) 
{
  k <- nrow
  h <- matrix(0, k, k + 1)
  j <- 1
  while (j <= k) {
    jj <- 1
    while (jj <= j) {
      h[j, jj] <- -1/sqrt(j * (j + 1))
      jj <- jj + 1
    }
    h[j, j + 1] <- j/sqrt(j * (j + 1))
    j <- j + 1
  }
  h
}

a=array(a,c(3,7,1440,15))
a0=a

library(shapes)
land=1:4;
#the landmarks here are lowerback, shoulder, elbow and indexfinger 
#land=1:7
#lan is the vector of landmarks to be used
a=a0[,land,,]

l=200
D=array(0,c(3,4,l,15))

for (i in ind)
  D[,,,i]=a[,,seq(a2[1,i],a2[2,i],length=l),i]

D=D[,,,-3]

meth=0
reg1=EM.poly.fit.cov.3d(D,deg=1,kk=meth,niter=300); 
reg12=EM.poly.fit.cov.3d(A=reg1$A,sigmainit=reg1$s,D,deg=1,kk=meth)


load(file = "HumanMovement_noether.RData")
reg2=EM.poly.fit.cov.3d(D,deg=2,kk=meth,niter=300); 
reg22=EM.poly.fit.cov.3d(A=reg2$A,sigmainit=reg2$s,D,deg=2,kk=meth,niter=600)

reg3=EM.poly.fit.cov.3d(D,deg=3,kk=meth,niter=300); 
reg32=EM.poly.fit.cov.3d(A=reg3$A,sigmainit=reg3$s,D,deg=3,kk=meth,niter=600)

reg4=EM.poly.fit.cov.3d(D,deg=4,kk=meth,niter=300); 
reg32=EM.poly.fit.cov.3d(A=reg3$A,sigmainit=reg3$s,D,deg=3,kk=meth,niter=600)

save.image(file = "HumanMovement_noether.RData")
q("no")

# now we call the final calculations back in teh PC
setwd("~/kent/research/programms/EM/hyper_geom/")
library(shapes)
load(file = "HumanMovement_noether.RData")

shapes3d(aperm(D[,,,1],c(2,1,3)))
for (i in 2:14)
  shapes3d(aperm(D[,,,i],c(2,1,3)),color=i,rglopen=FALSE)
library(shapes)
#some output regression modelling now.
shapes3d(aperm(reg1$f[,,,1],c(2,1,3)),type = "dots")
for (i in 1:14)
{
shapes3d(aperm(reg1$r[,,,i],c(2,1,3)),color=i+1,rglopen=FALSE,type = "dots")
#readline()
}


shapes3d(aperm(reg22$f[,,c(1,200),1],c(2,1,3)),type = "dots")
for (i in 1:14)
{
 # shapes3d(aperm(reg22$r[,,,i],c(2,1,3)),color=3+i,rglopen=FALSE)
  plotshapes3d(aperm(reg22$r[,,,i],c(2,1,3)),color=i,type = "dots")
  #readline()
  shapes3d(aperm(reg22$f[,,,1],c(2,1,3)),rglopen=FALSE,col=1,type = "dots")
}

play3d(spin3d(axis = c(0, 0, 1), rpm = 10), duration = 12)

shapes3d(aperm(reg32$f[,,,1],c(2,1,3)),type = "dots")
for (i in 1:14)
{
  #shapes3d(aperm(reg32$r[,,,i],c(2,1,3)),color=i,rglopen=FALSE)
  plotshapes3d(aperm(reg32$r[,,,i],c(2,1,3)),color=i,type = "dots")
  #readline()
}

movie3d(spin3d(axis = c(0, 0, 1)), duration = 12,
        dir = getwd())
#Use this command for gererating gif files and then convert -coalesce *.gif to *.png to latex them
####some different plots for JASAs version##
shapes3d(aperm(reg2$f[,,,1],c(2,1,3)))
planes3d(a=0,b=0,c=1,d=c(0,0,0),color = "lightgrey")
for (i in 1:14)
#shapes3d(aperm(reg2$r[,,,i],c(2,1,3)),rglopen=FALSE)
spheres3d(reg2$r[,,,i])
####plots for JASA###
shapes3d(aperm(reg2$f[,,,1],c(2,1,3)),col=1)
spheres3d(reg3$f[,,,1]+c(100,0,0),radius = 15,col=2)
spheres3d(reg1$f[,,,1]+c(200,0,0),radius = 15,col=3)
planes3d(a=0,b=0,c=1,d=c(0,0,0),color = "lightgrey")
########
shapes3d(aperm(reg3$f[,,,1],c(2,1,3)))
for (i in 1:14)
  spheres3d(reg3$r[,,,i])


###############



#rgl.postscript("plots_2_3pol.pdf","pdf")
#reg3=EM.poly.fit.cov.3d(D,deg=3,kk=meth); 
#reg3=EM.poly.fit.cov.3d(D,A=reg3$A,sigmainit=reg3$s,deg=3,kk=meth); 

shapes3d(aperm(reg3$f[,,,1],c(2,1,3)))
for (i in 1:14)
  shapes3d(aperm(reg3$r[,,,i],c(2,1,3)),color=i,rglopen=FALSE)

shapes3d(aperm(reg3$f[,,,1],c(2,1,3)),rglopen=FALSE)
