D=read.table('/Users/alfredkume/kent/research/programms/Data/Bookstein_rats/rats.dat');
D=read.table('~/kent/research/programms/Data/Bookstein_rats/rats.dat');

library("Bessel")
D1=array(t(D),c(18,8,21));
T=D1[2,,1];
ind=seq(3,18,by=2);
D3=D1[ind,,]+D1[ind+1,,]*(0+1i);
D=D3[,,-c(3,13,20)];
Data=array(0,c(2,dim(D)));
Data[1,,,]=Re(D)
Data[2,,,]=Im(D)

land=c(1,8:2)
#land=1:8
out1=EM.poly.fit.cov.2d(Data[,land,,],deg=1,niter=300)
#out1=out
out2=EM.poly.fit.cov.2d(Data[,land,,],deg=2,niter=300)
#out=out
out1ord=out1
out2ord=out2

out1times=EM.poly.fit.cov.2d(Data[,land,,],To=T,deg=1,niter=300)#converging in 224 steps
#out1=out
out2times=EM.poly.fit.cov.2d(Data[,land,,],To=T,deg=2,niter=1800)#900 steps?
out3times=EM.poly.fit.cov.2d(Data[,land,,],To=T,deg=3,niter=900)#900 steps?
#we will try the log transform for the times now
out12logtimes=EM.poly.fit.cov.2d(Data[,land,,],To=log(T),deg=1,niter=500)
out12logtimes=EM.poly.fit.cov.2d(Data[,land,,],To=log(T),deg=1,niter=500)#converging in 441 steps
out12logtimes$loglik


#out1=out
out21logtimes=EM.poly.fit.cov.2d(Data[,land,,],To=log(T),deg=2,niter=1800)#900 steps?
out22logtimes=EM.poly.fit.cov.2d(Data[,land,,],A=out21logtimes$A,sigmainit=out21logtimes$s,To=log(T),deg=2,niter=1500)
out23logtimes=EM.poly.fit.cov.2d(Data[,land,,],A=out22logtimes$A,sigmainit=out22logtimes$s,To=log(T),deg=2,niter=5500)#converged in 4150(4468) steps
out23logtimes$loglik


out32logtimes=EM.poly.fit.cov.2d(Data[,land,,],To=log(T),deg=3,niter=1900)
out33logtimes=EM.poly.fit.cov.2d(Data[,land,,],A=out32logtimes$A,sigmainit =out32logtimes$s,To=log(T),deg=3,niter=7900)
out34logtimes=EM.poly.fit.cov.2d(Data[,land,,],A=out33logtimes$A,sigmainit =out33logtimes$s,To=log(T),deg=3,niter=7900)#converged in 2761 steps

out4logtimes=EM.poly.fit.cov.2d(Data[,land,,],To=log(T),deg=4,niter=7900)
out4logtimes=EM.poly.fit.cov.2d(Data[,land,,],A=out4logtimes$A,sigmainit=out4logtimes$s,To=log(T),deg=4,niter=7900)


out33logtimes$loglik
out34logtimes$loglik
#out=out
#system("cp ~/kent/research/programms/EM/Rats_size_shape.RData ~/kent/research/programms/EM/Rats_size_shape_old.RData")
#save.image("~/kent/research/programms/EM/Rats_size_shape.RData")
#save.image("~/kent/research/programms/EM/Rats_size_shape.RData")# 



##############################
#go tp the bottom for general covariance
#############################################


load("~/kent/research/programms/EM/Rats_size_shape.RData")

# now use as times the days of observations as in vector T
out1=out12logtimes
out2=out23logtimes
out3=out34logtimes

ll=4
plot(t(out1$rot[,,1,10]),xlim=range(out1$rot[1,,,]),ylim=range(out1$rot[2,,,])*1.6-300,xlab="",ylab="",axes=FALSE)
library(jpeg)
#img=readJPEG("/Users/alfredkume/kent/research/talks/Helsinki/images/book1.jpg")
img=readJPEG("~/kent/research/talks/Helsinki/images/book1.jpg")
rasterImage(img,-200+50,-400+50,1100+50,620-50,angle=5)
polygon(t(out1$rot[,land,1,10]))
#polygon(t(QRshpvar(Data[,land,1,1])))

d=dim(out1$rot)
for (i in 1:d[3])
  for (j in 1:d[4])
{
   points(t(out1$rot[,,i,j]),col="black",cex=.3,pch=i)
   points(t(out1$f[,,i,j]),col="red",cex=.3)
   points(t(out2$f[,,i,j]),col="green",cex=.3)
   #polygon(t(QRshpvar(Data[,land,i,j])))
  }
#plot(t(out$rot[,,1,1]),xlim=range(out$rot[1,,,]),ylim=range(out$rot[2,,,]))
#polygon(t(out$rot[,,1,1]))
#d=dim(out$rot)
for (i in 1:d[3])
  for (j in 1:d[2])
  {
  lines(t(out1$rot[,j,i,]),col="black",lty=2)
  lines(t(out1$f[,j,,1]),col="red")
  lines(t(out2$f[,j,,1]),col="green")   
  lines(t(out3$f[,j,,1]),col="blue") 
  #readline()
  }

############Alternative plot###

#ll=c(2,5,8,7,6,4,3,1)
#plot(t(out1$rot[,,1,1]),xlim=range(out1$rot[1,,,]),ylim=range(out1$rot[2,,,])*1.6-300,xlab="",ylab="",axes=FALSE)

ll=c(1,5,8,7,6,4,3,2)
frame=t(QRshpvar(out1$rot[,ll,8,1]))
plot(frame,xlim=range(frame[,1])*1.6,ylim=range(frame[,2])*1.4,xlab="",ylab="",axes=TRUE)
#lines(frame[,])
polygon(frame[c(1,8:6,2,5,4,3),])
library(jpeg)
img=readJPEG("/Users/alfredkume/kent/research/talks/Helsinki/images/book1.jpg")
cy=200;cx=-350;rasterImage(img,0+cx,-500+cy,2300+cx,600+cy,angle=-35)
polygon(frame[c(1,8:6,2,5,4,3),])

#polygon(t(out1$rot[,land,1,1]))
#polygon(t(QRshpvar(Data[,land,1,1])))

d=dim(out1$rot)
for (i in 1:d[3])
  for (j in 1:d[4])
  {
    points(t(QRshpvar(out1$rot[,ll,i,j])),col="blue",cex=.3,pch=i)
    points(t(QRshpvar(out1$f[,ll,i,j])),col="red",cex=.3)
    points(t(QRshpvar(out2$f[,ll,i,j])),col="green",cex=.3)
    #polygon(t(QRshpvar(Data[,land,i,j])))
  }
#plot(t(out$rot[,,1,1]),xlim=range(out$rot[1,,,]),ylim=range(out$rot[2,,,]))
#polygon(t(out$rot[,,1,1]))
#d=dim(out$rot)
for (i in 1:d[3])
  for (j in 1:d[2])
  {
    lines(t(QRshpvar(out1$rot[,j,i,])),col="blue",lty=2)
    lines(t(QRshpvar(out1$f[,j,,1])),col="red")
    lines(t(QRshpvar(out2$f[,j,,1])),col="green")   
    #readline()
  }

#########################New lines Nottingham July 2019############
load("~/kent/research/programms/EM/Rats_size_shape.RData")
# now use as times the days of observations as in vector T
out1=out12logtimes
out2=out23logtimes
out3=out34logtimes

ll=4
plot(t(out1$rot[,,1,10]),xlim=range(out1$rot[1,,,]),ylim=range(out1$rot[2,,,])*1.6-300,xlab="",ylab="",axes=FALSE)
library(jpeg)
#img=readJPEG("/Users/alfredkume/kent/research/talks/Helsinki/images/book1.jpg")
#img=readJPEG("~/kent/research/talks/Helsinki/images/book1.jpg")
#rasterImage(img,-200+50,-400+50,1100+50,620-50,angle=5)
polygon(t(out1$rot[,land,1,10]))
#polygon(t(QRshpvar(Data[,land,1,1])))

d=dim(out1$rot)
for (i in 1:d[3])
  for (j in 1:d[4])
  {
    points(t(out1$rot[,,i,j]),col="black",cex=.3,pch=i)
    points(t(out1$f[,,i,j]),col="red",cex=.3)
    points(t(out2$f[,,i,j]),col="green",cex=.3)
    #polygon(t(QRshpvar(Data[,land,i,j])))
  }
#plot(t(out$rot[,,1,1]),xlim=range(out$rot[1,,,]),ylim=range(out$rot[2,,,]))
#polygon(t(out$rot[,,1,1]))
#d=dim(out$rot)
for (i in 1:d[3])
  for (j in 1:d[2])
  {
  #  lines(t(out1$rot[,j,i,]),col="black",lty=2)
    lines(t(out1$f[,j,,1]),col="red")
    lines(t(out2$f[,j,,1]),col="green")   
    lines(t(out3$f[,j,,1]),col="blue") 
    #readline()
  }

####July 19 Nottingham and August Canterbury####
##General Covariance Now#####
################################################

tt=out12logtimes; out14logtimes_gen=EM.poly.fit.cov.2d(Data[,land,,],A=tt$A,sigmainit =tt$s,To=log(T),deg=1,niter=3500,cov="Gen")#converged in 108 steps

tt=out23logtimes; 
#tt$A=cbind(out14logtimes_gen$A,array(0,c(2,7))); tt$s=out14logtimes_gen$s
out23logtimes_gen=EM.poly.fit.cov.2d(Data[,land,,],A=tt$A,Cinit=out14logtimes_gen$C,To=log(T),deg=2,niter=3500,cov="Gen")#converged in 3480?(close to) steps



tt=out34logtimes; out34logtimes_gen=EM.poly.fit.cov.2d(Data[,land,,],A=tt$A,sigmainit =tt$s,To=log(T),deg=3,niter=5500,cov="Gen")#not converged in steps but not far

tt=out3g; out4logtimes_gen=EM.poly.fit.cov.2d(Data[,land,,],A=cbind(tt$A,array(0,c(2,7))),sigmainit =tt$s,To=log(T),deg=4,niter=5500,cov="Gen")#not converged in steps but not far

#out4logtimes_gen=EM.poly.fit.cov.2d(Data[,land,,],A=out4logtimes_gen,sigmainit =tt$s,To=log(T),deg=4,niter=5500,cov="Gen")#not converged in steps but not far

out4logtimes_gen=EM.poly.fit.cov.2d(Data[,land,,],A=out4logtimes_gen,Cinit =out4logtimes_gen$C,To=log(T),deg=4,niter=5500,cov="Gen")#


out12logtimes$loglik
out14logtimes_gen$loglik

out23logtimes$loglik
out23logtimes_gen$loglik

out33logtimes$loglik 
out34logtimes_gen$loglik

#######################
out1=out12logtimes
out2=out23logtimes
out3=out34logtimes
out4=out4logtimes

out1g=out14logtimes_gen
out2g=out23logtimes_gen
out3g=out34logtimes_gen
out3g1=EM.poly.fit.cov.2d(Data[,land,,],A=out3g$A,Cinit=out3g$C,To=log(T),deg=3,niter=500,cov="Gen")

out34logtimes_gen=EM.poly.fit.cov.2d(Data[,land,,],A=out4logtimes_gen$A,Cinit=out34logtimes_gen$C,To=log(T),deg=4,niter=5500,cov="Gen")#
out4g=out34logtimes_gen
###############
out1$loglik; out2$loglik;out3$loglik;out4$loglik;
out1g$loglik; out2g$loglik;out3g$loglik;out4g$loglik;

########
out0=EMfunc.2d.size.shape(array(Data[,land,,],c(2,8,8*18)),preshape=FALSE,itermax=5500,Cov="Isot")#

out0g=EMfunc.2d.size.shape(array(Data[,land,,],c(2,8,8*18)),preshape=FALSE,itermax=5500,Cov="Gen")#


###########

tt=out1g; out1newg=EM.poly.fit.cov.2d(Data[,land,,],A=tt$A,sigmainit =tt$s,To=log(T),deg=1,niter=3,cov="Gen")#converged in 108 steps
tt=out2g; out2newg=EM.poly.fit.cov.2d(Data[,land,,],A=tt$A,sigmainit =tt$s,To=log(T),deg=2,niter=3,cov="Gen")#converged in 108 steps
tt=out3g; out3newg=EM.poly.fit.cov.2d(Data[,land,,],A=tt$A,sigmainit =tt$s,To=log(T),deg=3,niter=30,cov="Gen")#converged in 108 steps

######################################

for (i in 1:d[3])
  for (j in 1:d[2])
  {
    #  lines(t(out1$rot[,j,i,]),col="black",lty=2)
    lines(t(out1g$f[,j,,1]),col="red")
    lines(t(out2g$f[,j,,1]),col="green")   
    lines(t(out3g$f[,j,,1]),col="blue") 
    #readline()
  }

#############################################
###Bootstrap in 2d example now###########
###############################################

num_sim=10
llog=1:num_sim


Sim_summary=array(0,c(dim(out3g$A),num_sim))
TT=log(T)

set.seed(123)
for (i in 1:num_sim)
{
  DD3g=gen_model_data(out3g,To=TT,n=18)
  reg3_2d_sim=EM.poly.fit.cov.2d(DD3g[,,,],A=out3g$A,Cinit=out3g$C,To=log(T),deg=3,niter=10,cov="Gen")
  Sim_summary[,,i]=reg3_2d_sim$A
  #Sim_summary[2,1,i]=reg3_2d_sim$sigma
  Sim_summary[2,1,i]=reg3_2d_sim$loglik
  save.image(file = "Boostrap_2d.RData")
}  


